Telegraf Plugins

Retrieve available Telegraf plugin configuration templates for use with InfluxDB Cloud.
GET /api/v2/telegraf/plugins

List all Telegraf plugins

Parameters

Query parameters
type string
The type of plugin desired.
Header parameters
Zap-Trace-Span string
OpenTracing span context
Example request Ask AI about this
curl --request GET \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/telegraf/plugins" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

200 A list of Telegraf plugins.
os string
plugins object[]
version string
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.

Was this page helpful?

Thank you for your feedback!